Package csb :: Package core :: Class Container

[frames] | no frames]

# Class Container

source code

           object --+
                    |
    AbstractContainer --+
                        |
                       Container

Generic implementation of AbstractContainer. Provides an easy way to encapsulate class properties that behave like read-only collections or dictionaries. This container is super lightweight and completely dynamic: it serves as a proxy to an internal list or dict and stores no data in its own instance. Owning classes are therefore free to modify those internal data structures, which provides advantages over using ReadOnlyCollectionContainers.

Nested Classes
Inherited from `AbstractContainer`: `__metaclass__`

Instance Methods

__init__(self, data) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractContainer`: `__bool__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, data)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)